Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto
Class RuntimeCryptoException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.bouncycastle.crypto.RuntimeCryptoException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DataLengthException, MaxBytesExceededException

    public class RuntimeCryptoException

extends java.lang.RuntimeException

the foundation class for the exceptions thrown by the crypto packages.

See Also:
  Serialized Form

Constructor Summary
`RuntimeCryptoException()` base constructor.
`RuntimeCryptoException(java.lang.String message)` create a RuntimeCryptoException with the given message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuntimeCryptoException

    public RuntimeCryptoException()

  base constructor.

### RuntimeCryptoException

    public RuntimeCryptoException(java.lang.String message)

  create a RuntimeCryptoException with the given message.

  Parameters:
    `message` - the message to be carried with the exception.

Bouncy Castle Cryptography Library 1.45